/*
	auxtop.c  	4/11/90

	% aux_Top

	auxiliary function for bringing seds to the
	top when they are activated.

	C-scape 3.2
	Copyright (c) 1990, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 6/22/90 ted	Added oak_notused macros to avoid compiler warnings.
	 7/29/90 jmd	renamed SED_GO msg to WINA_STARTGO
*/

#include <stdio.h>
#include <ctype.h>

#include "cscape.h"
#include "scancode.h"

int	aux_Top(sed_type sed, int msg, VOID *indata, VOID *outdata)
/*
	An auxiliary function that tops a sed when it becomes current
*/
{
	oak_notused(indata);
	oak_notused(outdata);

	switch(msg) {
	case WINA_STARTGO:
		sed_Top(sed);
		break;
	default:
		break;
	}

	return(1);
}
