/*
	sdgetsiz.c

	% sed_GetSize

	C-scape 3.2
	Copyright (c) 1986, 1987, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 7/07/88 jmd	added sed_GetXXX macros

	 3/28/90 jmd	ansi-fied
*/

#include "sed.h"

void sed_GetSize(sed_type sed, int *hgt, int *wid)
/*                                        
	requires:   sed object.
	effects:    gets the size of the given sed, and returns it in hgt 
				and wid.
*/
{
	*hgt = sed_GetHeight(sed);
	*wid = sed_GetWidth(sed);
}
