/*	
	sdok.c

	% sed_Ok

	C-scape 3.2
	Copyright (c) 1986, 1987, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------

	10/30/86 jmd:	removed ifdefs 	
	 4/03/87 jmd:	added xmin, ymin check.
	 4/08/88 jmd 	changed sed->fieldcount to sed_GetFieldCount()
					reorganized comparison.
	 7/07/87 jmd:	removed xmin, ymin check.
	10/05/88 jmd	added check for NULL menu.

	 3/24/89 jmd	added sed_ macros
	 3/28/90 jmd	ansi-fied
*/

#include "sed.h"

boolean sed_Ok(sed_type sed)
{
	if ((sed == NULL) || (sed_GetMenu(sed) == NULL) ||
	    ( (sed_GetFieldCount(sed) > 0) && 
		  (sed_GetFieldNo(sed) < -1 || sed_GetFieldNo(sed) >= sed_GetFieldCount(sed) || sed_GetRecordPos(sed) < -1)) ) {

		cs_Assert(sed_GetFieldNo(sed) != -5368, CS_SD_OK_SED, 0);
		return(FALSE);
	}
	return(TRUE);			
}	  															   	

