/*
	sdsetwid.c		3/14/87

	% sed_SetWidth

	C-scape 3.2
	Copyright (c) 1986, 1987, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 6/30/88 jmd	added windows
	 7/08/88 jmd	removed xmin
	12/10/88 jmd	added sed_DoThemBobs
	12/20/88 jmd	removed bord_SendMsg

	 8/08/89 jmd	removed bob stuff (handled by window now)

	 3/28/90 jmd	ansi-fied
*/

#include "sed.h"

void sed_SetWidth(sed_type sed, int width)
/* 
	Sets the width of the sed.
	The width is adjusted vs. the sed's position
	so as to not allow the sed to go past the edge of the screen.
	If there is a border, the border is sent a BDM_SETSIZE message
	and it's width is compensated for.
	The width can never be less than 1.
*/
{
	cs_Assert(sed_Ok(sed), CS_SD_SWID_SED, 0);
	cs_Assert(width > 0, CS_SD_SWID_NEG, 0);

	/* adjust window */
	win_SetSize(sed, win_GetHeight(sed), width);
}			













