/*
	tedsetmv.c  

	% ted_SetMoveMethod

	C-scape 3.2
	Copyright (c) 1989 by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 7/22/89 jdc	moved from tedit.c

	 2/27/90 jdc	tweeked
	 3/28/90 jmd	ansi-fied
	 5/03/90 jmd	added ifdef for Zortech
*/

#include "ted.h"

void ted_SetMoveMethod(sed_type sed, move_method mm)
/*
	Set the sed's move method.
	The move method determines how the cursor moves when text editing.
*/
{
#ifdef Z2
	/* compensate for Zortech 2.0 Compiler */
	sed_SetMove(sed, (mm == FNULL) ? (VOID *) default_move : (VOID *) mm);
#else
	sed_SetMove(sed, (mm == FNULL) ? default_move : mm);
#endif
}


