/*
	fldgetb.c

	% field_GetBox

	C-scape 3.2
	Copyright (c) 1986, 1987, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 4/30/89 jmd	Added macros
	 3/28/90 jmd	ansi-fied
*/					

#include "field.h"

boolean field_GetBox(field_type field, ocbox *boxp)
/*
	Put the field's coords into a box.
	Returns FALSE if the field is sizeless.
*/
{
	boxp->botrow = boxp->toprow	= field_GetRow(field);
	boxp->leftcol = field_GetCol(field);
	boxp->rightcol = field_GetLastCol(field);

	return(boxp->rightcol >= boxp->leftcol);
}

