/*
  	menutb.c 

	% menu_SetTB

	Text buffer setting routine.

	C-scape 3.2
	Copyright (c) 1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 8/23/88 jmd	changed some stuff (removed attributes)
	 9/20/88 jmd	made into a boolean

	 3/28/90 jmd	ansi-fied
*/

#include "menu.h"

boolean menu_SetTB(menu_type menu, char *text, unsigned int len)
/*
	Sets the textbuf to text, keeps menu's rowcount accurate.
*/
{
	tb_type tb;

	cs_Assert(text != NULL,  CS_M_STB_TEXT, 0);

	tb = menu_GetTextbuf(menu);
	return(menu_Adds(menu, tb_GetRow(tb), tb->col, text, len));
}
