/*
	sdgohome.c

	% sed_GoHome, sed_GoEnd

	C-scape 3.2
	Copyright (c) 1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	11/28/88 jmd	made into functions

	 3/24/89 jmd	added sed_ macros
	 3/28/90 jmd	ansi-fied
*/

#include "sed.h"

void sed_GoHome(sed_type sed)
/*
	Move the cursor to the first record position in the
	current field.
*/
{
	if (sed_GetRecordPos(sed) != NO_WRITEABLES) {
		sed_GotoChar(sed, menu_GetFirstFieldPos(sed_GetMenu(sed), sed_GetFieldNo(sed)));
	}
}

void sed_GoEnd(sed_type sed)
/*
	Move the cursor to the last record position in the
	current field.
*/
{
 	if (sed_GetRecordPos(sed) != NO_WRITEABLES) {
		sed_GotoChar(sed, 
			int_min(menu_GetLastFieldPos(sed_GetMenu(sed), sed_GetFieldNo(sed)),
				menu_GetRecordLen(sed_GetMenu(sed), sed_GetFieldNo(sed)) - 1));
	}
}
