/*
  	sdsettb.c 

	% sed_SetTB

	Text buffer setting routine, send border scroll message.

	C-scape 3.2
	Copyright (c) 1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 3/24/89 jmd	added sed_ macros

	 3/28/90 jmd	ansi-fied
*/

#include "sed.h"

boolean sed_SetTB(sed_type sed, char *text, unsigned int len)
/*
	Sets the textbuf to text, keeps menu's rowcount accurate.
*/
{
	boolean ret;

	ret = menu_SetTB(sed_GetMenu(sed), text, len);
	sed_SendBorderMsg(sed, BDM_SCROLL, NULL, NULL);

	return(ret);	
}
