/*
	sdxflds.c

	% sed_ExchangeFields(sed, f1, f2)

	exchanges the fields number, but not position

	C-scape 3.2
	Copyright (c) 1988, 1989 by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 3/28/90 jmd	ansi-fied
*/

#include "sed.h"

void sed_ExchangeFields(sed_type sed, int f1, int f2)
{
	menu_ExchangeFields(sed_GetMenu(sed), f1, f2);

	if (sed_GetFieldNo(sed) == f1 || sed_GetFieldNo(sed) == f2) {
		sed_SetCurrField(sed, sed_GetField(sed, sed_GetFieldNo(sed)));
	}
}
