/*
	tedpast.c

	% ted_Past

	free cursor movement method

	C-scape 3.2
	Copyright (c) 1988 by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 6/17/88 jdc	created
	 3/24/89 jmd	added sed_ macros

	 3/28/90 jmd	ansi-fied
*/

#include "ted.h"

boolean ted_Past(sed_type sed, int row, int col)
/* 
	lets the cursor move past the end of lines 
*/
{
	int lrow, lcol;

	row = (row < 0) ? 0 : row;
	col = (col < 0) ? 0 : col;

	ted_GetPosition(sed, &lrow, &lcol);

	if (lrow == row && lcol == col) {
		return(FALSE);
	}

	tb_FindPosition(sed_GetTextbuf(sed), row, col);
	ted_SetCursor(sed, row, col);

	return(TRUE);
}



